Subject: RE: [seamoby] L2 API (WAS: Ext. for FMIPv6 - comments) (SHOULD be , RE: Issue #4)

From: Phillip Neumiller <[email-masked]>
Date: Thu, 12 Jul 2001 09:23:48 -0400

> On Wed, Jul 11, 2001 at 05:17:47PM -0400, Phillip Neumiller wrote:
> > Is there any co-dependence between CT and "succesful" handovers?
> > I think so.  Seperating the messages makes handover less reliable.
> 
> Only if the network is unreliable.

ALL networks are unreliable.  When you serialize two co-dependent events
with an unreliable network your transfer is much MORE unreliable.

Parallelization can be done cleanly, with MIP and other mobility models
as James and I have suggested.   I see no reason to even talk about poly-
phasic since, if its not important to the handover its not really mobility
context.  Its application layer garbage that should NOT be cluttering CT.

Lets get rid of this concept of extra baggage being thrown into the CT 
transport because its convenient.  I do believe CT/MIP could provide 
"triggers" for other stuff like AAA if needed.

CT should be used for volatile handover related data nothing more.  If
you want to piggy back a bunch of security crap on it that's a BAD idea.

> 
> > Do we want to build "seamless handover" systems that are less
> > reliable?  What about jitter and congestions effect on the timing
> > of multiple messages?  Yuck.  I don't get your argument Pat.
> 
> If the link between the ARs are congested, then I would argue
> that the single combined MIP/CT message will be subjected to
> the same jitter and congestion conditions you'd experience
> with a dual approach. 

Wrong.  See the posting on reliability models I sent to this list
about two weeks ago.  Two co-dependent messages sent over an 
unreliable link is much worse.

> So, I have a hard time convincing myself
> that we should be looking at tying CT to MIP to get around
> poor network design.

All networks are imperfect.  I have a very hard time convincing
myself we need to stick a bunch of AAA crap into the CT protocol.

Thanks,

Phil

---

From: Cedric Westphal <[email-masked]>
Date: Thu, 12 Jul 2001 06:41:00 -0700

Phil,

if I recall well, I was one of the addressees of that message of two weeks ago

you mention below. That's my excuse to jump in this.

Anyhow, your point in that email of two weeks ago was that it was less
reliable to separate CT and HO. Which is true, but only  if you consider that
the
system is unreliable because of a failed CT.
A CT that is independent of the HO, except for a couple triggers/sync
mechanisms,
would not ADD any unreliability. HO would happen, with its own reliability,
CT would happen, with its own reliability. HO fails, we're in, how would you
put
it, deep crap, CT fails, well you have to re-establish stuff, but it's not the
end of
the world. So reliability of HO+CT = reliability of HO.

Regards,

C.